import type { IRushMcpTool, RushMcpPluginSession, CallToolResult, zodModule } from '@rushstack/mcp-server';
import type { DocsPlugin } from './DocsPlugin';
export declare class DocsTool implements IRushMcpTool<DocsTool['schema']> {
    readonly plugin: DocsPlugin;
    readonly session: RushMcpPluginSession;
    constructor(plugin: DocsPlugin);
    get schema(): zodModule.ZodObject<{
        userQuery: zodModule.ZodString;
    }, "strip", zodModule.ZodTypeAny, {
        userQuery: string;
    }, {
        userQuery: string;
    }>;
    private _searchDocs;
    executeAsync({ userQuery }: zodModule.infer<DocsTool['schema']>): Promise<CallToolResult>;
}
//# sourceMappingURL=DocsTool.d.ts.map